Skip to main content
GET
/
domain-research
/
overview
/
trends
Get link building metric trends
curl --request GET \
  --url https://api.beeze.io/v1/domain-research/overview/trends \
  --header 'x-api-key: <api-key>'
[
  {
    "period": {
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "timeZone": "<string>"
    },
    "value": 123
  }
]

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Query Parameters

from
string<date>

Start date in YYYY-MM-DD format

to
string<date>

End date in YYYY-MM-DD format

project
string

Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.

Minimum string length: 1
owner
string

Filter by responsible person

locale
string

Filter by locale or market code

type
enum<string>
required

Metric type to chart

Available options:
spendings,
backlinks,
traffic,
dr,
pricePerBacklink
view
enum<string>
required

Time grouping used by the trends endpoint

Available options:
daily,
monthly,
quarterly,
yearly

Response

Time-series data points for the selected link building metric

period
object
required
value
number
required